<aside class="absolute top-5 right-5 w-30 h-30">
    <button (click)="onCatchClick()"
    class=" inline-block px-7 py-3 bg-blue-400 text-white font-medium text-3xl leading-snug uppercase rounded shadow-md hover:bg-blue-700 hover:shadow-lg focus:bg-blue-700 focus:shadow-lg focus:outline-none focus:ring-0 active:bg-blue-800 active:shadow-lg transition duration-150 ease-in-out w-full">

        <ng-container *ngIf="!loading; else spinner">
            <ng-container *ngIf="isCatched; then catched else notCatched" class="material-icons "></ng-container>
            <ng-template #catched >
                <span class="material-icons  text-pink-600">done</span>
                <span class="myfonts  text-pink-600"> GOTCHA!</span>
            </ng-template>
            <ng-template #notCatched>
                <span class="material-icons">catching_pokemon</span>
            </ng-template> 
        </ng-container>

        <ng-template #spinner>
            <span class="material-icons animate-spin">refresh</span>
        </ng-template>

    </button>
</aside>